
Redmine - Defect #32859

Issue list: long text custom field missing in PDF export

2020-01-24 11:30 - Ed Baker

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: PDF export Estimated time: 0.00 hour

Target version: 4.1.1   

Resolution: Fixed Affected version: 4.1.0

Description

The new "long text" custom field in the issue list (a new feature that is highly appreciated!) can be selected and displayed on the 

HTML issue (same as  i.e. "Description" or "Last notes") via the checkboxes under "Options" as usual. But on PDF export the

description and last notes are exported, but not the custom field(s).

(tested with a bitnami VM image, Redmine V4.1.0, Ruby 2.5.7-p206, Rails 5.2.4.1)

Related issues:

Related to Redmine - Feature #26081: Allow full_width_layout long-text custom... Closed

Associated revisions

Revision 19464 - 2020-01-26 15:06 - Go MAEDA

Issue list: long text custom field missing in PDF export (#32859).

Patch by Marius BALTEANU.

Revision 19465 - 2020-01-26 15:08 - Go MAEDA

Merged r19464 from trunk to 4.1-stable (#32859).

Patch by Marius BALTEANU.

History

#1 - 2020-01-25 08:59 - Marius BĂLTEANU

- Status changed from New to Confirmed

- Assignee set to Marius BĂLTEANU

- Target version set to 4.1.1

#2 - 2020-01-25 11:13 - Marius BĂLTEANU

- Related to Feature #26081: Allow full_width_layout long-text custom fields to appear in the issue list like 'Description' (as a block column) added

#3 - 2020-01-25 11:18 - Marius BĂLTEANU

- File fix_32765.patch added

- Subject changed from issue list: long text custom field missing in PDF export to Issue list: long text custom field missing in PDF export

- Assignee deleted (Marius BĂLTEANU)

Attached is the fix. I used the same logic from issue list to display the block columns instead of hardcoding each column, but with only difference:

column label is always shown because the user that receives the PDF doesn't know which column was added to the export.

Elsa Deconchat Baker, thanks for reporting the patch, the fix will be available in version 4.1.1.

#4 - 2020-01-25 11:18 - Marius BĂLTEANU

- File deleted (fix_32765.patch)

#5 - 2020-01-25 11:19 - Marius BĂLTEANU

- File fix_32859.patch added
#6 - 2020-01-26 15:06 - Go MAEDA

- Status changed from Confirmed to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you.

#7 - 2020-01-31 13:14 - Ed Baker

JFTR: applied the patch and works perfectly, Thanks!

Files

fix_32859.patch 2.3 KB 2020-01-25 Marius BĂLTEANU
